# 59. Poizvedba: pridobi »AsAppliedDatasets«

Pridobite vse "AsAppliedDatasets" za izbrano "Field". Nizke podatke je mogoče pridobiti z uporabo generičnih GraphQL poizvedb, kot je `getFarms` in `getFields` iz povezanega "Field".&#x20;

{% hint style="warning" %}
"AsAppliedDataset" je treba vnaprej naložiti.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid 
    ime
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      asAppliedDatasets {
        uuid 
        ime
        number #skupno število geofunkcij 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes
        
        fullAttributes { #popolni podatki za vsak atribut
          name #povezava do statistike >> atribut
          transliteratedName
          fullName #pravilno čitljivo ime za ljudi
          enota#mere
        }

        usedMachines { #uporabljeni stroji
          id
          serijska
          idOperaterja
        } 

        createdDate #čas in datum ustvarjanja entitete v GeoPard
        updatedDate #čas in datum zadnje posodobitve
        operationId
        operationType
        datumDatotekeOperacije #čas ustvarjanja datoteke izhaja iz metapodatkov 
        začetekOperacijeDatum #začetek operacije izhaja iz metapodatkov
        
        statistika { #porazdelitev statistike za vsak atribut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          kratkoIme
          hexBarvneKode
          razredi
        }
      }
    }
  } 
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFields { 
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) { 
    polja { 
      uuid
      površina(enota: HEKTARJI) 
      asAppliedDatasets(asAppliedDatasetUuids: ["placeholder_of_dataset_uuid"]) { 
        uuid 
        ime
        number #skupno število geofunkcij 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes
        
        fullAttributes { #popolni podatki za vsak atribut
          name #povezava do statistike >> atribut
          transliteratedName
          fullName #pravilno čitljivo ime za ljudi
          enota#mere
        }

        usedMachines { #uporabljeni stroji
          id
          serijska
          idOperaterja
        } 

        createdDate #čas in datum ustvarjanja entitete v GeoPard
        updatedDate #čas in datum zadnje posodobitve
        operationId
        operationType
        datumDatotekeOperacije #čas ustvarjanja datoteke izhaja iz metapodatkov 
        začetekOperacijeDatum #začetek operacije izhaja iz metapodatkov
        
        statistika { #porazdelitev statistike za vsak atribut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          kratkoIme
          hexBarvneKode
          razredi
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/svn/api-dokumentacija/pregled-zahtevkov-geopard-api/59.-poizvedba-pridobi-asapplieddatasets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
